Bug 496109 - Cloning channel w/ selected errata ends up w/ 404
Cloning channel w/ selected errata ends up w/ 404
Status: CLOSED DUPLICATE of bug 494714
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
wes hayutin
https://dhcp77-141.rhndev.redhat.com/...
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-04-16 13:20 EDT by wes hayutin
Modified: 2009-08-25 18:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 13:59:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot showing 404 at the end of the channel clone process. (165.29 KB, image/png)
2009-04-17 11:36 EDT, Clifford Perry
no flags Details

  None (edit)
Description wes hayutin 2009-04-16 13:20:11 EDT
Description of problem:
sat build 4/14 x86 rhel 4 sever

recreate:
1. clone rhel 4 base channel w/ selected errata
2. clone, unselect a few erratum 
3. click submit

wait for it.. wait for it...

404 on the listed url.
Comment 1 Clifford Perry 2009-04-17 11:35:39 EDT
So what Wes failed to mention - is that the clone completes - blue bar with info saying it completed, but that you see a clear '404' message in the main body of the screen. I assume a redirect/page is incorrectly setup/pointing to wrong place. 

Lets get it fixed. (prob old perl code redirecting to old perl page which is now in java, or some such thing). 

Cliff

Attaching screen shot of what I saw.
Comment 2 Clifford Perry 2009-04-17 11:36:41 EDT
Created attachment 340023 [details]
Screen shot showing 404 at the end of the channel clone process.
Comment 3 Brad Buckingham 2009-04-20 13:59:12 EDT
After further investigation, it appears that this bug has already been resolved and is a dup of bug 494714.

*** This bug has been marked as a duplicate of bug 494714 ***
Comment 4 John Sefler 2009-08-25 18:09:52 EDT
>I created the following clone from channel:

Clone of Red Hat Enterprise Linux AS (v. 4 for 32-bit x86)
clone-rhel-i386-as-4

Clone From:  	Red Hat Enterprise Linux AS (v. 4 for 32-bit x86)
Clone Type: 	Select errata
 
Parent Channel: 	None
Channel Name*: 	
Ex: Custom Channel
Channel Label*: 	
Ex: custom-channel
Base Channel Architecture*: 	
Channel Package Summary: 	n/a
Channel Summary*: 	
GPG key URL: 	
GPG key ID: 	
Ex: DB42A60E
GPG key Fingerprint: 	
Ex: CA20 8686 2BD6 9DFC 65F6 ECC4 2191 80CD DB42 A60E
Channel Description: 	

> Satellite output was:
Red Hat Enterprise Linux AS (v. 4 for 32-bit x86) has been cloned as Clone of Red Hat Enterprise Linux AS (v. 4 for 32-bit x86). You may now wish to clone the errata associated with Red Hat Enterprise Linux AS (v. 4 for 32-bit x86)

>I chose Action: 'Do Nothing' on Advisories:
RHSA-2005:025   	 (none)  	 exim security update 
RHSA-2005:100   	 (none)  	 mod_python security update 
RHSA-2005:103   	 (none)  	 perl security update 
RHSA-2005:036   	 (none)  	 vim security update

> The final cloning appears good.  No 404 error at the end of the cloning process.  Moreover...

> On page Errata / Clone the uncloned errata are listed

Below is the list of the errata which apply to the original channel, but have not yet been cloned into your channel. To clone an erratum to this channel, select one of the available options, and click 'Clone Errata' below.
Clone Errata
  	1 - 4 of 4   	   
Advisory 	Owned Errata 	Synopsis 	Action
RHSA-2005:025 	(none) 	exim security update 	
RHSA-2005:100 	(none) 	mod_python security update 	
RHSA-2005:103 	(none) 	perl security update 	
RHSA-2005:036 	(none) 	vim security update 


> Adding ClosedValid to QA Whiteboard.

Note You need to log in before you can comment on or make changes to this bug.